PDA

View Full Version : Kernel update problems



demwz
28-Oct-2011, 09:26
Hello,

i just updated a SLES 11 Server running on ESX to SP1.

originally the server was running on 2.6.27.54-0.2-*pa*e. the update
installed aditionally
2.6.32.36-0.5-*default* for some reason.
the fatal thing is it mkinitrd was not able to locate all needed
modules for 2.6.32.36-0.5-default
-WARNING: no dependencies for kernel module 'ata_generic' found.-
and to complete the mess made this the default kernel so the server did
not come up again.

2 Questions
* Why does zypper update install additionally a different kernel pae /=
default
* Why is ata_generic module not shipped with default kernel


--
demwz
------------------------------------------------------------------------
demwz's Profile: http://forums.novell.com/member.php?userid=118908
View this thread: http://forums.novell.com/showthread.php?t=447463

Automatic Reply
01-Nov-2011, 19:26
demwz,

It appears that in the past few days you have not received a response to your
posting. That concerns us, and has triggered this automated reply.

Has your problem been resolved? If not, you might try one of the following options:

- Visit http://support.novell.com and search the knowledgebase and/or check all
the other self support options and support programs available.
- You could also try posting your message again. Make sure it is posted in the
correct newsgroup. (http://forums.novell.com)

Be sure to read the forum FAQ about what to expect in the way of responses:
http://forums.novell.com/faq.php

If this is a reply to a duplicate posting, please ignore and accept our apologies
and rest assured we will issue a stern reprimand to our posting bot.

Good luck!

Your Novell Product Support Forums Team
http://forums.novell.com/

malcolmlewis
02-Nov-2011, 16:29
On Fri, 28 Oct 2011 08:26:02 GMT
demwz <demwz@no-mx.forums.novell.com> wrote:

>
> Hello,
>
> i just updated a SLES 11 Server running on ESX to SP1.
>
> originally the server was running on 2.6.27.54-0.2-*pa*e. the update
> installed aditionally
> 2.6.32.36-0.5-*default* for some reason.
> the fatal thing is it mkinitrd was not able to locate all needed
> modules for 2.6.32.36-0.5-default
> -WARNING: no dependencies for kernel module 'ata_generic' found.-
> and to complete the mess made this the default kernel so the server
> did not come up again.
>
> 2 Questions
> * Why does zypper update install additionally a different kernel
> pae /= default
> * Why is ata_generic module not shipped with default kernel
>
>
Hi
You didn't have any third party kernel modules installed on the
system before you upgraded? The ata_generic.ko is in all the kernels so
it should load.

What method did you use to upgrade the system?

--
Cheers Malcolm °¿° (Linux Counter #276890)
openSUSE 11.4 (x86_64) Kernel 2.6.37.6-0.7-desktop
up 2 days 2:26, 5 users, load average: 0.00, 0.04, 0.10
GPU GeForce 8600 GTS Silent - Driver Version: 285.05.09

dirkmueller
04-Nov-2011, 10:06
Hi,

guessing from the version numbers, you upgraded from SLES11 SP0/GA to
SLES11 SP1. zypper up can have
such side effects when doing an online migration.

For a better way to do online migration, please see 'How to upgrade to
SLES/SLED 11 SP1'
(http://www.novell.com/support/documentLink.do?externalID=7005410)

Besides that, ata_generic.ko is available in all kernels, and it is a
warning anyway (it found the module, but didn't find
any of its dependencies). I assume that there is a different reason for
the reboot failure. Could you please contact Support to help figure out
what went wrong?


--
dirkmueller
------------------------------------------------------------------------
dirkmueller's Profile: http://forums.novell.com/member.php?userid=21451
View this thread: http://forums.novell.com/showthread.php?t=447463